# API Documentation

- [API Overview](https://guides.noloco.io/api-documentation/api-overview.md): Use your app's GraphQL API to fetch, update, create and delete data in your Noloco app.
- [Fetching Records](https://guides.noloco.io/api-documentation/api-overview/fetching-records.md): Fetch records from the API
- [Fetching a Record](https://guides.noloco.io/api-documentation/api-overview/fetching-a-record.md): Fetch a single record from the API
- [Creating a Record](https://guides.noloco.io/api-documentation/api-overview/creating-a-record.md): Create a single record from the API
- [Update a Record](https://guides.noloco.io/api-documentation/api-overview/update-a-record.md): Update a single record from the API
- [Deleting a record](https://guides.noloco.io/api-documentation/api-overview/deleting-a-record.md): Delete a single record from the API


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://guides.noloco.io/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
